# Voter Id

Voter ID verification is often includes additional checks, such as background checks, credit checks, and KYC (Know Your Customer) procedures. These checks help payment processors to ensure that merchants are legitimate and trustworthy businesses.

### Submit Document

#### `ind_voter_id`

`POST` `https://secctrl.tutelar.io/api/v1/kyc/identity/ind_voter_id`

**Post parameters description is given below**

| Post Parameter | Type   | Is Mandatory | Description          |
| -------------- | ------ | ------------ | -------------------- |
| `id_number`    | String | Yes          | Your Voter Id Number |

**Sample Post Parameters**

```json
{
  "id_number": "ASP1140000"
}
```

**200: Success Response**

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "d641457d-4729-4166-b60f-141fee1120bf",
  "status": "completed",
  "result": {
    "document_number": "ASP1140000",
    "name_on_document": "bharathithasan -",
    "date_of_birth": null,
    "gender": "M",
    "source": "NVSP",
    "district": "Salem",
    "state_code": "S22",
    "state": "Tamil Nadu",
    "part_no": "259",
    "assembly_constituency_number": "88",
    "house_no": null,
    "last_update": null,
    "relation_name": "rajkumar -",
    "polling_station": "St. Joseph Elementary School, Suramangalam - 636005, Terraced Building Facing West Middle Wing",
    "section_no": "1",
    "ps_lat_long": "11.40.27.07,78.07.11.40"
  },
  "requested_at": "2024-04-18T12:56:29.344Z",
  "completed_at": "2024-04-18T12:56:30.686Z"
}
```

**200: InProgress Response**

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "e1f69bfc-8a32-4c56-86bf-cf0ee7f1ff23",
  "status": "in_progress",
  "requested_at": "2024-04-18T11:57:54.003Z"
}
```

**400: Validation Error Response**

```json
{
  "success": false,
  "code": 400,
  "message": "Invalid input. Please check your request and try again.",
  "error": {
    "message": "Invalid Id Number",
    "field": "id_number",
    "code": "BAD_REQUEST"
  }
}
```

**200: Failure Response**

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "6f081576-1076-4a80-b626-c0411b56a49b",
  "status": "failed",
  "error": {
    "message": "Invalid details were provided. Please submit valid details.",
    "code": "ERROR"
  },
  "requested_at": "2024-04-18T11:37:58.214Z",
  "completed_at": "2024-04-18T11:37:59.000Z"
}
```

### Check Document Status

#### Get document details

`GET` `https://secctrl.tutelar.io/api/v1/kyc/identity/ind_voter_id`

**Query parameters description is given below**

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| `reference_id`  | String | Yes          | Document reference id |

**200: Success Response**

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "d641457d-4729-4166-b60f-141fee1120bf",
  "status": "completed",
  "result": {
    "document_number": "ASP1140000",
    "name_on_document": "bharathithasan -",
    "date_of_birth": null,
    "gender": "M",
    "source": "NVSP",
    "district": "Salem",
    "state_code": "S22",
    "state": "Tamil Nadu",
    "part_no": "259",
    "assembly_constituency_number": "88",
    "house_no": null,
    "last_update": null,
    "relation_name": "rajkumar -",
    "polling_station": "St. Joseph Elementary School, Suramangalam - 636005, Terraced Building Facing West Middle Wing",
    "section_no": "1",
    "ps_lat_long": "11.40.27.07,78.07.11.40"
  },
  "requested_at": "2024-04-18T12:56:29.344Z",
  "completed_at": "2024-04-18T12:56:30.686Z"
}
```

**200: InProgress Response**

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "e1f69bfc-8a32-4c56-86bf-cf0ee7f1ff23",
  "status": "in_progress",
  "requested_at": "2024-04-18T11:57:54.003Z"
}
```

**200: Failure Response**

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "6f081576-1076-4a80-b626-c0411b56a49b",
  "status": "failed",
  "error": {
    "message": "Invalid details were provided. Please submit valid details.",
    "code": "ERROR"
  },
  "requested_at": "2024-04-18T11:37:58.214Z",
  "completed_at": "2024-04-18T11:37:59.000Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/voter-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
